Subject: Re: [tram] I-D Action: draft-ietf-tram-turnbis-01.txt

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Mon, 2 Feb 2015 19:06:21 +0000

Awesome ☺

-Tiru

From: Oleg Moskalenko [mailto:[email-masked]]
Sent: Monday, February 02, 2015 9:58 PM
To: Tirumaleswar Reddy (tireddy)
Cc: [email-masked]
Subject: Re: [tram] I-D Action: draft-ietf-tram-turnbis-01.txt

The process of proof-reading the draft involved actual implementation:

https://code.google.com/p/coturn/wiki/Downloads
For experimental implementation, I used new attribute types 0x8032 and 0x8033 (for ADDITIONAL-ADDRESS-FAMILY and ADDRESS-ERROR-CODE). That will be changed when IANA assigns actual numbers
Oleg

On Sun, Feb 1, 2015 at 9:14 PM, Tirumaleswar Reddy (tireddy) <[email-masked]<mailto:[email-masked]>> wrote:
Inline [TR3]

From: Oleg Moskalenko [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Monday, February 02, 2015 9:50 AM
To: Tirumaleswar Reddy (tireddy)
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [tram] I-D Action: draft-ietf-tram-turnbis-01.txt

As it is now, I see two points:
1) The legacy RFC 6156-compliant clients are not turnbis-compliant - because they include RAF into REFRESH;
2) The legacy RFC 6156-compliant clients are compatible with the new turnbis-servers - because the turnbis-servers know how to handle RAF in REFRESH.
Was that what you were trying to achieve ?

[TR2 Point 2 (We cannot proceed with point 1 because it will break backward compatibility)

I understand that. But I do not understand why the section 7.1 says that the clients MUST not include RAF into REFRESH; but the section 7.2 describes what server has to do if it does receive RAF in the REFRESH request. What was the reasoning for that ? The same wording can be found in RFC 6156.
So, the section 7.1 contradicts the section 7.2. I still cannot understand why the current wording is chosen.
[TR3] Yes, I agree that the contradictory text in section 7.2 should be removed. But let’s hear from the authors of RFC 6156, they might had some valid reason for this behavior.
-Tiru
Thanks
Oleg